GET /api/v202310/budget/periodType

Retrieves the available budget period types

GetBudgetPeriodTypesV202310 Permissions: BudgetsAndBudgetVersions (View)
Use this endpoint to get the list of period types that define a budget’s time granularity (monthly, quarterly, annual). The period type is set when creating a budget.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

BudgetPeriodType
Property Description Type
budgetPeriodTypeId The budget period type identifier integer (int32)
budgetPeriodTypeInfo The budget period type name string
Example Response application/json
[
  {    "budgetPeriodTypeId": 1,    "budgetPeriodTypeInfo": "string"
  }
]